Subject: Re: Problem setting PATH variable
From: [email-masked] (Stephen L Arnold)

25 Oct 1998 00:07:40 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7BIT
To: [email-masked]

On 23 Oct 98, Randy Campbell had questions about Problem setting 
PATH variable:

> I am having strange difficulties setting the PATH variable in .bashrc.

[snip]

I was having similar trouble with things not being recognized in my 
..bashrc at first too.  Then I took everything out except some 
aliases and moved it to .bash_profile and now it seems to be 
working fine.  Someone else mentioned some weird behavior launching 
a second instance of bash from the first.  I can't do that (it made 
windoze go out to lunch) but launching multiple rxvt's from the 
bash shell in a DOS box works fine.  I have /bin/sh linked to bash, 
and rxvt runs bash too.  Here is my setup:

[sidebar question]

What is the correct form for multiple settings of the cygwin32 
environment variable?  Is a space correct, or should use a 
separator?  For example:

export CYGWIN32=tty, binmode       or
export CYGWIN32=tty binmode

********************* bash configuration ******************
# ~/.bash_profile
#-------------------------------------------------------------------

# Limit coredumps to zero bytes
#ulimit -c 0
	
#-------------------------------------------------------------------
# Other settings

umask 022

HOME=/steve
PATH=/bin:/CYGWIN/H-I386~1/bin:/steve:.
LIBRARY_PATH=/usr/lib
#C_INCLUDE_PATH=/usr/include
#CPLUS_INCLUDE_PATH=/usr/lib/g++include
TERM=linux
VIM=/USR/VIM-5.3

export CYGWIN32=tty binmode
export TERM VIM

 if [ "$COLORTERM" = "rxvt" ] ; then
    export PS1="\e[34m\]\w\[\e[0m\]> "
    export TERM=linux
    alias ls='ls -CF --color'
    stty intr ^c susp ^z start ^q stop ^s quit ^\\ erase ^?
 fi
 
source ~/.bashrc
cd

#-------------------------------------------------------------------
# end of ~/.bash_profile

# ~/.bashrc 
# executed by login and subshells
#-------------------------------------------------------------------

alias ls='ls -CF --color'
alias ll='ls -l'
alias ..='cd ..'
alias ...='cd ../..'
alias cls="c:/command.com /c cls"
alias rxvt='rxvt -fn Courier -e bash -login'

#-------------------------------------------------------------------
# end of ~/.bashrc 

Sorry for the large post, but I thought it would be useful...

*************************************************************
Steve Arnold                            [email-masked]
                                 http://www.rain.org/~sarnold
   "A mime is a terrible thing to waste..."   Mel Brooks
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".